Status: Resolved Priority: Should have
Author: Morton Jonuschat Category: Install Tool
Created: 2015-05-20 Assigned To:
Updated: 2015-06-04 Due date:
TYPO3 Version: 7
PHP Version: 5.6
Complexity:
Is Regression: No
Subject: Important Actions -> Clear all caches fails with DBAL
Description

Clearing all cache from the Install Tool fails on master. Installation is configured with DBAL and PostgreSQL 9.4.
After a while this error gets shown:

mysqli::real_connect(): MySQL server has gone away in
/Users/mjonuschat/Documents/Development/TYPO3/Sites/postgresql/typo3_src-master/typo3/sysext/dbal/Classes/Database/DatabaseConnection.php line 3041
eConnection.php line 3041

Somewhere in the install tool the wrong driver gets selected. Compare Database and other DB related stuff works, not a generic
configuration problem.

Related issues:
related to Core - Epic # 64459: Make TYPO3 run on PostgreSQL New 2015-01-23

Associated revisions
Revision e3fbdadd - 2015-05-25 13:40 - Morton Jonuschat

[BUGFIX] Initialize database connection in ClearCacheService

Without calling initialize() on the DatabaseConnection object
the DBAL the resulting connection configuration will default
to the "native" driver type (MySQL) which results in an error
as there is no MySQL server to contact with the given connection
parameters.

Resolves: #67066
Releases: master, 6.2
Change-Id: Id5d70a122dcca806ee1122cecacad0c8aef27547
Reviewed-on: http://review.typo3.org/39636
Reviewed-by: Markus Klein <markus.klein@typo3.org>
Tested-by: Markus Klein <markus.klein@typo3.org>
Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>
Reviewed-by: Andreas Fernandez <typo3@scripting-base.de>
Tested-by: Andreas Fernandez <typo3@scripting-base.de>

Revision bef83c86 - 2015-06-04 12:57 - Morton Jonuschat
[BUGFIX] Initialize database connection in ClearCacheService

Without calling initialize() on the DatabaseConnection object
the DBAL the resulting connection configuration will default
to the "native" driver type (MySQL) which results in an error
as there is no MySQL server to contact with the given connection
parameters.

Resolves: #67066
Releases: master, 6.2
Change-Id: Id5d70a122dcca806ee1122cecacad0c8aef27547
Reviewed-on: http://review.typo3.org/39950
Reviewed-by: Andreas Fernandez <typo3@scripting-base.de>
Tested-by: Andreas Fernandez <typo3@scripting-base.de>

History
#1 - 2015-05-20 21:32 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/39636

#2 - 2015-05-21 18:12 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/39636

#3 - 2015-05-22 15:29 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/39636

#4 - 2015-05-25 14:01 - Morton Jonuschat
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:e3fbdaddf1504912beacf29d1204e2531d0059d7.

#5 - 2015-06-04 12:51 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/39950
#6 - 2015-06-04 13:01 - Morton Jonuschat
- Status changed from Under Review to Resolved

Applied in changeset commit:bef83c86b8fe8bcee6822ee9d8f735e78b70f840.
